Subject: bug#2830: 23.0.91; Private use area

From: Jonathan Coxhead <[email-masked]>
Date: Tue, 31 Mar 2009 20:16:12 +0200

Jason Rumney wrote:

> Jonathan Coxhead wrote:

> > I have a file with characters from the Private Use Area of Unicode. I 
> > also have
> > a font, Code2000, "http://code2000.net/CODE2000.ZIP" which has the 
> > characters in
> > it. But emacs shows me squares instead of the characters. (Notepad can 
> > display
> > it.)
>
> How are you telling Emacs which font to use to display those characters?

   I used the mouse. Shift-click didn't behave as it used to, but I found "Set Default Font..." on the "Options" menu on the menu bar. It seemed to work as I expected: the font is distinctive enough that I'm sure the buffer was using the font I chose (Code2000). But the private-use characters were displayed as empty boxes.

   Thanks for looking at this---I'd love to be able to edit Elvish (and other PUA scripts) with Emacs!

---Jonathan